summaryrefslogtreecommitdiffstats
path: root/development
diff options
context:
space:
mode:
author B. Watson2014-01-21 04:05:08 +0100
committer Erik Hanson2014-01-30 06:21:08 +0100
commita99696283a131f3494f12aabb2b33475261efebe (patch)
treeed2390ce23e821e9052fb8eaceff5b45fd5dfce9 /development
parentf4beb078e41ceec03a001a72fb0df306fe5eed1b (diff)
downloadslackbuilds-a99696283a131f3494f12aabb2b33475261efebe.tar.gz
development/dhex: Added (curses-based hex editor).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'development')
-rw-r--r--development/dhex/README7
-rw-r--r--development/dhex/dhex.SlackBuild73
-rw-r--r--development/dhex/dhex.info10
-rw-r--r--development/dhex/slack-desc19
4 files changed, 109 insertions, 0 deletions
diff --git a/development/dhex/README b/development/dhex/README
new file mode 100644
index 0000000000..c4df483519
--- /dev/null
+++ b/development/dhex/README
@@ -0,0 +1,7 @@
+dhex (curses-based hex editor)
+
+DHEX is a more than just another hex editor: It includes a diff
+mode, which can be used to easily and conveniently compare two binary
+files. Since it is based on ncurses and is themeable, it can run on any
+number of systems and scenarios. With its utilization of search logs,
+it is possible to track changes in different iterations of files easily. \ No newline at end of file
diff --git a/development/dhex/dhex.SlackBuild b/development/dhex/dhex.SlackBuild
new file mode 100644
index 0000000000..17ef06c56c
--- /dev/null
+++ b/development/dhex/dhex.SlackBuild
@@ -0,0 +1,73 @@
+#!/bin/sh
+
+# Slackware build script for dhex
+
+# Written by B. Watson (yalhcru@gmail.com)
+
+# Licensed under the WTFPL. See http://www.wtfpl.net/txt/copying/ for details.
+
+PRGNAM=dhex
+VERSION=${VERSION:-0.68}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf ${PRGNAM}_$VERSION
+tar xvf $CWD/${PRGNAM}_$VERSION.tar.gz
+cd ${PRGNAM}_$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+sed -i -e 's,-O3,'"$SLKCFLAGS"',' -e 's,share/man,man,' Makefile
+make LDFLAGS="-L/usr/lib$LIBDIRSUFFIX"
+
+# 20140119 bkw: beware! DESTDIR is not being used in the canonical way here!
+
+mkdir -p $PKG/usr/bin $PKG/usr/man/man1 $PKG/usr/man/man5
+make install DESTDIR=$PKG/usr
+gzip $PKG/usr/man/*/*.?
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a *.txt $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/development/dhex/dhex.info b/development/dhex/dhex.info
new file mode 100644
index 0000000000..1d900807c3
--- /dev/null
+++ b/development/dhex/dhex.info
@@ -0,0 +1,10 @@
+PRGNAM="dhex"
+VERSION="0.68"
+HOMEPAGE="http://www.dettus.net/dhex/"
+DOWNLOAD="http://www.dettus.net/dhex/dhex_0.68.tar.gz"
+MD5SUM="5109b3d50053553e41d75c8e5c0a0175"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="B. Watson"
+EMAIL="yalhcru@gmail.com"
diff --git a/development/dhex/slack-desc b/development/dhex/slack-desc
new file mode 100644
index 0000000000..d91f96dd10
--- /dev/null
+++ b/development/dhex/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+dhex: dhex (curses-based hex editor)
+dhex:
+dhex: DHEX is a more than just another hex editor: It includes a diff mode,
+dhex: which can be used to easily and conveniently compare two binary
+dhex: files. Since it is based on ncurses and is themeable, it can run on
+dhex: any number of systems and scenarios. With its utilization of search
+dhex: logs, it is possible to track changes in different iterations of
+dhex: files easily.
+dhex:
+dhex:
+dhex: